ByteBuffer Class Reference

A byte buffer. More...

## Public Member Functions

| ByteBuffer (char *data, size_t capacity)
| ~ByteBuffer ()
void | clear ()
void | flip ()
char * | data ()
const char * | data () const
char * | current ()
const char * | current () const
size_t | limit () const
void | limit (size_t newLimit)
size_t | position () const
size_t | remaining () const
void | position (size_t newPosition)
bool | put (char byte)

## Detailed Description

A byte buffer.

## Constructor & Destructor Documentation

ByteBuffer | ( | char * | data,
|  | size_t | capacity
| ) |  |

~ByteBuffer | ( |  | ) |

## Member Function Documentation

void clear | ( |  | ) |

char* current | ( |  | ) |

inline

const char* current | ( |  | ) | const

inline

char* data | ( |  | ) |

inline

const char* data | ( |  | ) | const

inline

void flip | ( |  | ) |

size_t limit | ( |  | ) | const

inline

void limit | ( | size_t | newLimit | ) |

size_t position | ( |  | ) | const

inline

void position | ( | size_t | newPosition | ) |

bool put | ( | char | byte | ) |

size_t remaining | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- bytebuffer.h